Macaulay2 » Documentation
Packages » Macaulay2Doc » The Macaulay2 language » system facilities » getWWW
next | previous | forward | backward | up | index | toc

# getWWW -- get a web page

## Description

## Synopsis

- Usage:
    `getWWW URL`
- Inputs:
  - URL, a string
- Outputs:
  - the contents of the web page, together with the http headers, at the address given by URL

## Synopsis

- Usage:
    `getWWW(URL,TEXT)`
- Inputs:
  - URL, a string
  - TEXT, a string
- Outputs:
  - obtain the contents of the web page addressed by URL from an http server, using the POST method, provided with TEXT

Accessing a secure web site (whose URL begins with https:) depends on your having installed openssl on your system.

## See also

- splitWWW -- separate an http response into header and body

## Ways to use getWWW:

- `getWWW(String)`
- `getWWW(String,Nothing)`
- `getWWW(String,String)`

## For the programmer

The object getWWW is a method function.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Macaulay2Doc/ov_system.m2:1731:0.